| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# ParticlePropertySvc.cpp File Reference

## Detailed Description

Instantiation of a static factory class used by clients to create instances of this serviceq.

class ParticlePropertySvc Class Implement a ParticlePropertySvc

Author:
  : I. Last Modify by : G.Corti 09/11/1999 to read file from LHCBDBASE and introduce find/eraseByStdHepID methods Modified by Vanya BELYAEV to allow readig of additional files to add/replace/modify the existing particle properties

Definition in file ParticlePropertySvc.cpp.

`#include <cstdlib>`
`#include <cstring>`
`#include <fstream>`
`#include "GaudiKernel/SvcFactory.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/ParticleProperty.h"`
`#include "GaudiKernel/PhysicalConstants.h"`
`#include "GaudiKernel/IFileAccess.h"`
`#include "ParticlePropertySvc.h"`

Include dependency graph for ParticlePropertySvc.cpp:

Go to the source code of this file.

## Functions
template<class MAP>
void | _remove_ (MAP &m, const ParticleProperty *pp)
template<class MAP>
void | _load_ (MAP &m, ParticlePropertySvc::Set &result)
| load mapped values from maps into set

## Function Documentation

template<class MAP>

void @615::_load_ | ( | MAP & | m,
|  | ParticlePropertySvc::Set & | result |
| ) |  |  | `[inline, static]`

load mapped values from maps into set

Definition at line 477 of file ParticlePropertySvc.cpp.

    00478   {
    00479     for ( typename MAP::iterator i = m.begin() ; m.end() != i ; ++i )
    00480     { result.insert ( i->second ); }
    00481   }

template<class MAP>

void @615::_remove_ | ( | MAP & | m,
|  | const ParticleProperty * | pp |
| ) |  |  | `[inline, static]`

Definition at line 306 of file ParticlePropertySvc.cpp.

    00307   {
    00308     typename MAP::iterator i = m.begin() ;
    00309     for ( ; m.end() != i ; ++i ) { if ( i->second == pp ) { break ; } }
    00310     if  ( m.end() != i ) { m.erase ( i ) ; }
    00311   }